Skip to content
For the complete documentation index, see llms.txt. Markdown versions of documentation pages are available by appending .md to the page URL.
Primary navigation

Get Skill Content

client.Skills.Content.Get(ctx, skillID) (*Response, error)
GET
/skills/{skill_id}/content

Download a skill zip bundle by its ID.

Parameters
skillID string
Returns
type SkillContentGetResponse interface{…}

Get Skill Content

package main

import (
  "context"
  "fmt"

  "github.com/openai/openai-go"
  "github.com/openai/openai-go/option"
)

func main() {
  client := openai.NewClient(
    option.WithAPIKey("My API Key"),
  )
  content, err := client.Skills.Content.Get(context.TODO(), "skill_123")
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", content)
}
Returns Examples